Get Credential Details
Get details of the credential whose credential id is provided
Path Parameters
- credentialId int32 required
Unique identifier for the requested credential
Responses
- 200
- 400
- 403
- 404
- 500
OK
- application/json
- Schema
- Example (from schema)
Schema
- id int32
- name string
- description string
- email string
externalCredentialInfo object
credentialId int32credentialName stringaddress stringfolder stringobjectId stringobjectName stringplatform stringsafe stringsecretId int32secretName stringsecretPath stringsystemId int32systemName stringaccountId int32accountName stringinstanceName stringdomainName stringserverUrl stringcertificate stringvaultNamespace stringvaultName stringendpoints object
activeDirectoryEndpoint stringuserSecretName stringpasswordSecretName stringroleARNSecretName stringtenantIdSecretName stringaccessNodes object[]
type int32clientId int32clientName stringsecurity object
owner object
user object
id int32name stringuserGroup object
id int32name string- accountType string
{
"accountType": "LINUXACCOUNT",
"userAccount": "string",
"useSSHKey": true
}
Bad Request
- application/json
- Schema
- Example (from schema)
Schema
- errorMessage string
- errorCode int32
{
"errorMessage": "string",
"errorCode": 0
}
Forbidden
- application/json
- Schema
- Example (from schema)
Schema
- errorMessage string
- errorCode int32
{
"errorMessage": "string",
"errorCode": 0
}
Not Found
- application/json
- Schema
- Example (from schema)
Schema
- errorMessage string
- errorCode int32
{
"errorMessage": "string",
"errorCode": 0
}
Internal Server Error
- application/json
- Schema
- Example (from schema)
Schema
- errorMessage string
- errorCode int32
{
"errorMessage": "string",
"errorCode": 0
}
Loading...